import os.path

CONFIGDIR = os.path.normcase(os.path.abspath(__file__)).rsplit('/', 1)[0]
TOPDIR = CONFIGDIR.rsplit('/', 1)[0]
PORT = 8030

modules = ("GuiDQM",)
envsetup = "export QUIET_ASSERT=a"
#server.instrument  = 'valgrind --num-callers=999 `cmsvgsupp`'
#server.instrument  = 'igprof -t python -pp'
server.port        = PORT
server.serverDir   = '/build/lat/dqmtest/gui'
server.baseUrl     = '/dqm/online'
server.title       = 'CMS'
server.serviceName = 'Online'

server.plugin('render', '%s/test/TestDQMRenderPlugin.cc' % TOPDIR)
server.source('DQMUnknown', 'unknown', 9091)
server.source('DQMLive', 'live', 'localhost:9090', '--listen 9091',
              '--load %s' % server.pathOfPlugin('render'))
server.source('DQMArchive', 'archive',
              '/build/lat/CMSSW_3_2_1/src/VisMonitoring/DQMServer/foo',
              '^/Global/', '--listen 9091',
              '--load %s' % server.pathOfPlugin('render'))
server.source('DQMLayout', 'layouts',
              CONFIGDIR + '/test-layouts.py',
              CONFIGDIR + '/dt-layouts.py',
              CONFIGDIR + '/eb-layouts.py',
              CONFIGDIR + '/l1t-layouts.py')

server.extend('DQMFileAccess', '/dev/null', '/build/lat/dqmtest/data')

execfile(CONFIGDIR + "/dqm-services.py", globals(), locals())
execfile(CONFIGDIR + "/online-workspaces.py", globals(), locals())
